//
// Created by sebastian on 29.07.26.
//

#ifndef COLORRACE_RENDERSYSTEM_H
#define COLORRACE_RENDERSYSTEM_H
#include "RenderQueue.h"
#include "ecs/EntityRegistry.h"


namespace engine {
    class RenderSystem {
    public:
        virtual ~RenderSystem() = default;
        virtual void update(EntityRegistry& registry, RenderQueue& renderQueue) = 0;

    };
}


#endif //COLORRACE_RENDERSYSTEM_H
